import { LcdpRenderContext } from '@fly-vue/lcdp-engine';
import { FormEventContainerContext } from './form-context';
export declare function useForm(renderContext: LcdpRenderContext, formDataKey: string, ctx: FormEventContainerContext): {
    initForm: ({ beforeInit, afterInit }: {
        beforeInit: any;
        afterInit: any;
    }) => Promise<void>;
    validateForm: () => Promise<boolean>;
    watchFormData: () => void;
};
